> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List the people a table's person column can name

> Returns the workspace's owner, admins and members, then everyone collaborating on a document in the table's project, each with their role — workspace members first, then by name.

The caller must be able to write the table's rows.



## OpenAPI

````yaml get /table/{tableId}/people
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/{tableId}/people:
    get:
      tags:
        - Tables
      summary: List the people a table's person column can name
      description: >-
        Returns the workspace's owner, admins and members, then everyone
        collaborating on a document in the table's project, each with their role
        — workspace members first, then by name.


        The caller must be able to write the table's rows.
      operationId: getTablePeople
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: tableId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        name:
                          type: string
                        email:
                          type: string
                        avatarId:
                          type: string
                        pictureUrl:
                          type: string
                        role:
                          type: string
                          enum:
                            - owner
                            - admin
                            - member
                            - editor
                            - viewer
                        source:
                          type: string
                          enum:
                            - workspace
                            - document
                      required:
                        - userId
                        - name
                        - email
                        - role
                        - source
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.